PHP Manual
Prev |  | Next

# interface_exists

(PHP 5 >= 5.0.2)

interface_exists -- Checks if the interface has been defined

## Description

bool interface_exists ( string interface_name [, bool autoload] )

Checks if the given interface has been defined.

## Parameters

`interface_name`

  The interface name

`autoload`

  Wether to call __autoload or not by default

## Return Values

Returns `TRUE` if the interface given by `interface_name` has been defined, `FALSE` otherwise.

## Examples

Example 1. interface_exists() example

`<?php // Check the interface exists before trying to use it if (interface_exists('MyInterface')) { class MyClass implements MyInterface { // Methods } } ?>`

## See Also

class_exists()

Prev | Home | Next
get_parent_class | Up | is_a